#include "MenuTextSk4_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextSk4_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextSk4_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_skill_4;
}

std::shared_ptr<Entity> CreateMenuTextSk4_Player1Keyboard()
{
	return std::make_shared<MenuTextSk4_Player1Keyboard>();
}


